[
{
    blockid=ldap;
    help=service_ldap_ldap;
    custom="com.netscape.management.msgserv.RootInfoControl";
    localvar={
	/* translate this block */
	.cfgldap.border=[titled,"\u30b5\u30fc\u30d0\u30fc\u3078\u306e LDAP \u63a5\u7d9a\u306e\u8a2d\u5b9a"];
	.userldap.border=[titled,"\u30e6\u30fc\u30b6\u30fc\u691c\u7d22\u306e LDAP \u63a5\u7d9a"];
	.uselocal.text="Messaging Server \u56fa\u6709\u306e\u30c7\u30a3\u30ec\u30af\u30c8\u30ea\u8a2d\u5b9a\u3092\u4f7f\u7528";
	.host.text="\u30db\u30b9\u30c8\u540d:";
	.port.text="\u30dd\u30fc\u30c8\u756a\u53f7:";
	.binddn.text="\u30d0\u30a4\u30f3\u30c9 DN: ";
	.usessl.text="\u63a5\u7d9a\u6642\u306b SSL \u3092\u4f7f\u7528";
	.basedn.text="\u30d9\u30fc\u30b9 DN:";
	.editpasswd.text="\u30d0\u30a4\u30f3\u30c9\u30d1\u30b9\u30ef\u30fc\u30c9\u306e\u5909\u66f4...";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=pane;
	    border=$.cfgldap.border;
	    constraint={
	        gridy=0;
	        weightx=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.sephcomp;
	    }
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    text=$.host.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=0;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldaphost.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.port.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=-1;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldapport.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.binddn.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=-1;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldapsiedn.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.basedn.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=-1;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldapbasedn.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		}
	    ]
	},
	{
	    ctrl=pane;
	    border=$.userldap.border;
	    constraint={
	        gridy=1;
	        weightx=1;
	        weighty=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.sephcomp;
	    }
	    content=[
		{
		    ctrl=togglepane;
		    text=$.uselocal.text;
		    val=$local.ugldapuselocal.value;
		    showborder=false;
		    layout=[gridbag];
		    content=[
			{
			    ctrl=label;
			    id=hostlabel;
			    text=$.host.text;
			    target=hostctrl;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=0;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=text;
			    label=hostlabel;
			    id=hostctrl;
			    val=$local.ugldaphost.value;
			    maxwidth=-1;
			    constraint={
			        gridx=1;
			        gridy=0;
			        weightx=9;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=label;
			    id=portlabel;
			    text=$.port.text;
			    target=portctrl;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=number;
			    id=portctrl;
			    val=$local.ugldapport.value;
			    label=portlabel;
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weightx=9;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=label;
			    id=dnlabel;
			    text=$.basedn.text;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=text;
			    label=dnlabel;
			    val=$local.ugldapbasedn.value;
			    maxwidth=-1;
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weightx=9;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=label;
			    id=binddnlabel;
			    text=$.binddn.text;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=text;
			    label=binddnlabel;
			    val=$local.ugldapbinddn.value;
			    maxwidth=-1;
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weightx=9;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=separator;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        gridwidth=2;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=button;
			    text=$.editpasswd.text;
			    cmd=".editpasswd";
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weighty=1;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=proxy;
			    id=passwdproxy;
			    val=$local.ugldapbindcred.value;
			}
		    ]
		}
	    ]
	}
    ]
},
{
    blockid=editpasswd;
    help=service_ldap_editpasswd;
    localvar={
	.siecred.text="\u30d1\u30b9\u30ef\u30fc\u30c9:";
	.passwdagain.text="\u30d1\u30b9\u30ef\u30fc\u30c9\u306e\u78ba\u8a8d:";
	.info.text="\u3053\u306e\u64cd\u4f5c\u306f\u3001\u30e1\u30c3\u30bb\u30fc\u30b8\u30f3\u30b0\u8a2d\u5b9a\u306e\u30d1\u30b9\u30ef\u30fc\u30c9\u3092\u5909\u66f4\u3059\u308b\u3060\u3051\u3067\u3059\u3002\u30c7\u30a3\u30ec\u30af\u30c8\u30ea\u5185\u306e\u30d1\u30b9\u30ef\u30fc\u30c9\u3082\u540c\u69d8\u306b\u5909\u66f4\u3059\u308b\u5fc5\u8981\u304c\u3042\u308a\u307e\u3059\u3002";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=siecredlabel;
		    text=$.siecred.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=password;
		    val=$.newpasswd;
		    label=siecredlabel;
		    aligny=0.5;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=againlabel;
		    text=$.passwdagain.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=password;
		    label=againlabel;
		    val=$.confirmpasswd;
		    aligny=0.5;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[	    	
		{
		    ctrl=label;
		    id=infolabel;
		    text=$.info.text;
		    wrap=$g.label.size3;
		    aligny=0.5;
		}
	    ]
	}
    ]
}
]
